Bug 199573 - Review Request: BackupPC - high-performance backup system
Review Request: BackupPC - high-performance backup system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Package Reviews List
:
Depends On: 199647
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-20 11:07 EDT by Mike McGrath
Modified: 2014-08-22 08:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 21:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2006-07-20 11:07:54 EDT
Spec: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC.spec
SRPM: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC-2.1.2-1.src.rpm

Description:
BackupPC is a high-performance, enterprise-grade system for backing up Linux
and WinXX PCs and laptops to a server's disk. BackupPC is highly configurable
and easy to install and maintain.  And its Web Based!

------------
Couple of things.  I've chosen to use the suidperl method for publishing this because I don't think most users will be expecing a second http instance.  I might make an http sub package for those that would prefer not to use the suidperl method.
Comment 1 Mike McGrath 2006-07-22 00:25:35 EDT
SPEC: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC.spec
SRPM: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC-2.1.2-1.src.rpm

* Fri Jul 21 2006 Mike McGrath <imlinux@gmail.com> 2.1.2-2
- Added requires: perl(File::RsyncP)
Comment 2 Dennis Gilmore 2006-07-22 12:36:48 EDT
ok  couple of quick things

builds ok in mock
looking through build log
we probably want to default the backup server to localhost  not the builders 
name in the config,  and i think we should change in the config the default 
backup type from smb to rsync
Comment 3 Dennis Gilmore 2006-07-23 14:45:35 EDT
  package meets naming and packaging guidelines.
 specfile is properly named, is cleanly written and uses macros consistently.
 build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 license field matches the actual license.
 license is open source-compatible. GPL License text included in package.
 source files match upstream:
[dennis@daedalus SPECS]$ sha1sum BackupPC-2.1.2.tar.gz
9f99e201fbf6bbd016c19007e5fb4072d77312c7  BackupPC-2.1.2.tar.gz
[dennis@daedalus SPECS]$ sha1sum ../SOURCES/BackupPC-2.1.2.tar.gz
9f99e201fbf6bbd016c19007e5fb4072d77312c7  ../SOURCES/BackupPC-2.1.2.tar.gz

 latest version is being packaged.
 BuildRequires are proper.
 package builds in mock ( ).
 rpmlint
[dennis@daedalus SPECS]$ 
rpmlint /var/lib/mock/aurora-2-sparc-extras/result/BackupPC-2.1.2-2.noarch.rpm
E: BackupPC non-executable-script /usr/share/BackupPC/lib/BackupPC/Lang/nl.pm 
0444
E: BackupPC non-standard-uid /var/lib/BackupPC/cpool backuppc
E: BackupPC non-standard-dir-perm /var/lib/BackupPC/cpool 0750
E: BackupPC non-standard-uid /etc/BackupPC backuppc
E: BackupPC non-standard-gid /etc/BackupPC backuppc
E: BackupPC non-standard-dir-perm /etc/BackupPC 0750
E: BackupPC non-standard-uid /var/lib/BackupPC/pc backuppc
E: BackupPC non-standard-dir-perm /var/lib/BackupPC/pc 0750
E: BackupPC non-standard-uid /etc/BackupPC/hosts backuppc
E: BackupPC non-standard-gid /etc/BackupPC/hosts backuppc
E: BackupPC non-standard-uid /usr/share/BackupPC/sbin/BackupPC_Admin backuppc
E: BackupPC non-standard-gid /usr/share/BackupPC/sbin/BackupPC_Admin apache
E: BackupPC setuid-binary /usr/share/BackupPC/sbin/BackupPC_Admin backuppc 
04750
E: BackupPC 
non-standard-executable-perm /usr/share/BackupPC/sbin/BackupPC_Admin 04750
E: BackupPC non-standard-uid /var/lib/BackupPC/conf backuppc
W: BackupPC dangling-symlink /var/lib/BackupPC/conf /etc/BackupPC/
E: BackupPC non-executable-script /usr/share/BackupPC/lib/BackupPC/Lang/es.pm 
0444
E: BackupPC non-standard-uid /etc/BackupPC/config.pl backuppc
E: BackupPC non-standard-gid /etc/BackupPC/config.pl backuppc
E: BackupPC non-readable /etc/BackupPC/config.pl 0640
E: BackupPC non-executable-script /usr/share/BackupPC/lib/BackupPC/Lang/it.pm 
0444
E: BackupPC non-executable-script /usr/share/BackupPC/lib/BackupPC/Lang/de.pm 
0444
E: BackupPC non-standard-uid /var/lib/BackupPC/pool backuppc
E: BackupPC non-standard-dir-perm /var/lib/BackupPC/pool 0750
E: BackupPC non-executable-script /usr/share/BackupPC/lib/BackupPC/Lang/en.pm 
0444
E: BackupPC non-standard-uid /var/lib/BackupPC/log backuppc
E: BackupPC non-standard-uid /var/lib/BackupPC/trash backuppc
E: BackupPC non-standard-dir-perm /var/lib/BackupPC/trash 0750
E: BackupPC non-standard-uid /var/log/BackupPC backuppc
E: BackupPC non-standard-gid /var/log/BackupPC backuppc
E: BackupPC non-standard-uid /var/lib/BackupPC backuppc
E: BackupPC non-standard-dir-perm /var/lib/BackupPC 0750
E: BackupPC non-executable-script /usr/share/BackupPC/lib/BackupPC/Lang/fr.pm 
0444
E: BackupPC incoherent-subsys /etc/rc.d/init.d/BackupPC backuppc
W: BackupPC incoherent-init-script-name BackupPC
 
 final provides and requires are sane:
[dennis@daedalus SPECS]$ rpm -q --requires BackupPC
/bin/sh
/bin/sh
/bin/sh
/bin/sh
/bin/sh
/sbin/chkconfig
/sbin/chkconfig
/sbin/service
/sbin/service
/sbin/service
/usr/bin/perl
/usr/sbin/useradd
/usr/sbin/usermod
config(BackupPC) = 2.1.2-2
httpd
perl(Archive::Zip)
perl(BackupPC::Attrib)
perl(BackupPC::CGI::Lib)
perl(BackupPC::FileZIO)
perl(BackupPC::Lib)
perl(BackupPC::PoolWrite)
perl(BackupPC::View)
perl(BackupPC::Xfer::Archive)
perl(BackupPC::Xfer::Rsync)
perl(BackupPC::Xfer::RsyncDigest)
perl(BackupPC::Xfer::RsyncFileIO)
perl(BackupPC::Xfer::Smb)
perl(BackupPC::Xfer::Tar)
perl(BackupPC::Zip::FileMember)
perl(CGI)
perl(CGI::Carp)
perl(Carp)
perl(Compress::Zlib)
perl(Config)
perl(Cwd)
perl(Data::Dumper)
perl(Digest::MD5)
perl(DirHandle)
perl(Exporter)
perl(Fcntl)
perl(File::Compare)
perl(File::Copy)
perl(File::Find)
perl(File::Path)
perl(File::RsyncP)
perl(Getopt::Std)
perl(IO::Handle)
perl(POSIX)
perl(Socket)
perl(constant)
perl(lib)
perl(strict)
perl(vars)
perl-suidperl
[dennis@daedalus SPECS]$ rpm -q --provides BackupPC
config(BackupPC) = 2.1.2-2
perl(BackupPC::Attrib)
perl(BackupPC::CGI::AdminOptions)
perl(BackupPC::CGI::Archive)
perl(BackupPC::CGI::ArchiveInfo)
perl(BackupPC::CGI::Browse)
perl(BackupPC::CGI::DirHistory)
perl(BackupPC::CGI::EmailSummary)
perl(BackupPC::CGI::GeneralInfo)
perl(BackupPC::CGI::HostInfo)
perl(BackupPC::CGI::LOGlist)
perl(BackupPC::CGI::Lib)
perl(BackupPC::CGI::Queue)
perl(BackupPC::CGI::ReloadServer)
perl(BackupPC::CGI::Restore)
perl(BackupPC::CGI::RestoreFile)
perl(BackupPC::CGI::RestoreInfo)
perl(BackupPC::CGI::StartServer)
perl(BackupPC::CGI::StartStopBackup)
perl(BackupPC::CGI::StopServer)
perl(BackupPC::CGI::Summary)
perl(BackupPC::CGI::View)
perl(BackupPC::FileZIO)
perl(BackupPC::Lib)
perl(BackupPC::PoolWrite)
perl(BackupPC::View)
perl(BackupPC::Xfer::Archive)
perl(BackupPC::Xfer::Rsync)
perl(BackupPC::Xfer::RsyncDigest)
perl(BackupPC::Xfer::RsyncFileIO)
perl(BackupPC::Xfer::Smb)
perl(BackupPC::Xfer::Tar)
perl(BackupPC::Zip::FileMember)
BackupPC = 2.1.2-2

 no shared libraries are present.
 package is not relocatable.
 owns the directories it creates.
 doesn't own any directories it shouldn't.
 no duplicates in %files.
 file permissions are appropriate.
 %clean is present.

 scriptlets present and correct
 code, not content.
 documentation is small, so no -docs subpackage is necessary.
 %docs are not necessary for the proper functioning of the package.
 no headers.
 no pkgconfig files.
 no libtool .la droppings.
 not a GUI app.

Non Fatal errors 
 dist tag is not present.

as for the rpmlint warnings errors  i think that  due to the nature of this 
app they are needed to be as they are.  It provides a layer of seperation from 
the backup app and the system.
Comment 4 Mike McGrath 2006-07-23 15:54:50 EDT
Spec: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC.spec
SRPM: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC-2.1.2-3.src.rpm

- Changes to defaults in config.pl
- Added Requires: rsync
Comment 5 Mike McGrath 2006-07-23 16:25:42 EDT
Spec: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC.spec
SRPM: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC-2.1.2-3.src.rpm

- Properly marking config files as such
Comment 6 Mark Miksis 2006-07-23 20:21:00 EDT
FWIW, a few comments:
- The latest spec is for Release 4.  The download area seems to contain a binary
rpm for this release, but not a src rpm.
- In order to set up ssh keys, the admin must (I think) change the backuppc user
to have a shell, set up ssh, and then change back to /sbin/nologin.  Not sure if
there's a way around this, but you might want to document this.
- You might want to include upstream patch BackupPC-2.1.2pl2.diff (which is
needed to work with the latest versions of rsync).  It also fixes other bugs.
- perl-File-RsyncP-0.62-1.src.rpm wouldn't compile for me on an up-to-date
x86_64 FC5.  0.52 is OK.

HTH

Comment 7 Mike McGrath 2006-07-23 22:29:52 EDT
Spec: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC.spec
SRPM: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC-2.1.2-4.src.rpm

- Added upstream patch

try using
http://mmcgrath.net/~mmcgrath/perl-File-RsyncP/perl-File-RsyncP-0.62-2.src.rpm
Its actually been approved and built.  You should be able to yum it soon.  

SSH keys - I find it best not to tell admins how their security should be done.
 Especially since BackupPC supports so many different methods for backup. 
Having said that it might not be a bad idea to at least point them to the
BackupPC documentation for setting up ssh keys.
Comment 8 Mark Miksis 2006-07-23 22:46:27 EDT
(In reply to comment #7)
> Spec: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC.spec
> SRPM: http://mmcgrath.net/~mmcgrath/BackupPC/BackupPC-2.1.2-4.src.rpm
Do you mean 2.1.2-5?
> 
> - Added upstream patch
Thanks :)
> 
> try using
> http://mmcgrath.net/~mmcgrath/perl-File-RsyncP/perl-File-RsyncP-0.62-2.src.rpm
> Its actually been approved and built.  You should be able to yum it soon.  
Builds for me :)
> 
> SSH keys - I find it best not to tell admins how their security should be done.
>  Especially since BackupPC supports so many different methods for backup. 
> Having said that it might not be a bad idea to at least point them to the
> BackupPC documentation for setting up ssh keys.
Agreed.  I guess my point is:
- The package defaults to rsync over ssh.
- The official BackupPC docs describe a procedure for setting up ssh that won't
work if the backuppc user does not have a shell.
Again, not really sure if you should do anything about this...  Hopefully most
users will figure it out.

Comment 10 Dennis Gilmore 2006-07-27 07:38:50 EDT
looks good now 
APPROVED
Comment 11 Mike McGrath 2006-08-09 21:53:11 EDT
Built.... A long time ago.
Comment 12 Christian Iseli 2006-08-10 11:35:33 EDT
Please leave the FE-ACCEPT blocker...
Comment 13 Johan Cwiklinski 2008-08-13 23:57:27 EDT
Package Change Request
======================
Package Name: BackupPC
New Branches: EL-4 EL-5
Comment 14 Toshio Ernie Kuratomi 2008-08-22 23:33:58 EDT
cvs done.
Comment 15 Bernard Johnson 2014-08-21 22:14:22 EDT
Package Change Request
======================
Package Name: BackupPC
New Branches: epel7
Owners: bjohnson
Comment 16 Jon Ciesla 2014-08-22 08:04:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.